# PirateDB - Bronze Rating / Requires modifications
Compatibility information for pirated games on Linux, be it Native or through Wine.
<br><br>

## Table of Content
    
## Age of Empires: Definitive Edition [Wine]

- Install `vcrun2017`, set Windows mode to XP and install mf.

## Age of Empires II: Definitive Edition [Wine]

- Requires `vcrun2015` installed on prefix.

## A Plague Tale: Innocence [Wine] [CODEX] [GOG]

- You need to replace `CODEX` crack with `ALI213` otherwise the game will give a fullscreen message asking you to insert the original CD of the game.
- The game is available now on `GOG`.

## Anno Games [Wine]

- Anno 1404 works with newest Wine.

- Needs specific older versions of wine to work. Prepackaged in johncena141's torrent.
- Will add more details later.

## Assassin's Creed Origins [Wine] [CODEX]

- Needs a specific version of the CODEX crack.

- Remove the line `KeyboardMouseEnabled = 1` from the ACO.ini then set file to read-only.

## Batman Arkham Knight [Wine] [CPY]

- Install Steam (Windows version), but do not open it (no need for that, the game just checks that Steam is installed).

## Call of Duty: Modern Warfare Remastered [Wine]

- "If you get this: Out of memory error. You are propably low in hard disk space"
then rename `config_mp.cfg` to `config.cfg`.


- Needs these settings for multiplayer to work:

`/launcher/launcher-settings.json: "distPlatform": "gog"`

- Empty Paradox account required.

- The Windows version crashes regularly through Wine.

- To enabled debug console, launch dowser/launcher with -debug_mode

## Darksiders Gensis [Wine]

- This game needs MS Media Foundation that can be installed by this script >> https://github.com/z0z0z/mf-install

## Darksiders Warmastered Edition [Wine]

- This game needs mf-install + mfplat.dll that can be downloaded from this repoistory >> https://github.com/z0z0z/mf-installcab

## Death Stranding [CPY] [Wine]

- Needs beta graphic drivers and Proton GE/TKG
- Set windows mode to 10.

## Destroy All Humans [Wine]

- If you experience sound stutters, this might be useful:

Revert `load-module module-udev-detect tsched=0` to the default form `load-module module-udev-detect` in `/etc/pulse/default.pa` the edited line which includes `tsched=0`

## Devil May Cry 5 [Wine]

- You need to use the leaked denuvoless executable of the game + ALI213 Steam emulator

## Disgaea 4 [Wine]

- Install `d3dcompiler_47` and set `MovieSkip=1` in `config.ini` otherwise it gets stuck on the opening cinematic.

## Draugen [Wine]

- This game needs MS Media Foundation that can be installed by this script >> https://github.com/z0z0z/mf-install

## Fifa 2019 [Wine]

- Install dotnet40 using winetricks to run `Commentary Selector`.

## Gauntlet Slayer Edition [32bit] [Wine]

- CODEX Steam emulator doesn't work, you need to use goldberg_emulator >> [Goldber Emulator](https://mr_goldberg.gitlab.io/goldberg_emulator/)

## Grand Theft Auto III/Vice City/San Andreas/IV [Wine]

- Remove constraints for grарhіс ѕеttіngѕ:
```sh
export EXE_KEY="-norestrictions"
export EXE_KEY1="-nomemrestrict"
export EXE_KEY2="-percentvidmem 100"
export EXE_KEY3="-novblank"
```
- Grand Theft Auto San Andreas has a spinning camera issue on Wine newer than 5.0 or Proton. This is fixed by the silent patch.

## Halo: The Masterchief Collection [Wine]

- If there is no sound in cutscenes, set Windows 7 on the prefix.

- A recent codex crack requires additional attention to work on Wine.

- The crack is inside winhttp.dll, wine runs it builtin by default and that breaks it.

- Run winetricks winhttp to fix this. - toykiller

## HELLDIVERS Dive Harder [Wine]

- CODEX Steam emulator doesn't work, you need to use Smart Steam Emulator instead (SSE)

## Her Story [Wine]

- Use Proton 4.11, and install some mutlitmedia codecs to be able to run the videos using this command:
```sh
winetricks ffdshow l3codecx winxp directshow
```
## Horizon Zero Dawn [Wine]

- Working on `Proton-5.9-GE-6-ST`. May work on Proton-TKG soon too.

- I had a better experience using mesa-tkg-git from chaotic-aur instead of mesa-git.

- On some systems it might be necessary to use a custom kernel like linux-tkg-pds. The reason is not really known at least to us, but hey, it works.

## Hob [Wine]

- You need to install `vcrun2017` using `winetricks`.

### Insurgency Sandstorm [Wine]

- Needs mf-intall / Media Foundation.

- Needs pulseaudio latency reduced to `30` to avoid lagging sound.

## Layers of Fear 2 [GOG] [Wine]

- This game needs MS Media Foundation that can be installed by this script >> https://github.com/z0z0z/mf-install

## Mad Max [Native]

- Needs `Steam Runtime` and `Goldberg` script used on TWTK/LiS2/SOTTR.

## Mercenary Kings [Wine]

- Install `dotnet48` using winetricks or the game will not work.

## Moons of Madness [Wine]

- The latest version of the game dropped `Denuvo` protection, you just need to replace `CODEX` Steam emulator with Goldberg emulator.

## Mount & Blade: Warband [Native]

- libGLEW seems to be missing on some systems. Steam-Runtime seems to fix this but more details are needed.

## Mount & Blade II: Bannerlord [Wine]

- You need `dotnet48` installed

- Set brightness_calibrated = 1 on on `/Configs/engine_config.txt`
	
- If stuck in loading screen see [workaround](https://forums.taleworlds.com/index.php?threads/1-5-0-game-stuck-on-first-loading-screen.429316/)

## Need for Speed: Shift 2 Unleashed [Wine]

- Run `winetricks physx`

## Portal [Wine/Native is Gold]

- You need to use DXVK/D9VK, or the game will not work, and use this argument:  -dxlevel 90

## Portal 2 [Native]

- libstdc causes crash, needs to be deleted.
	
- No sound on Artix unless this is used on the start script.<br>
```sh
GAMEROOT=$(pwd)
```
## Pro Evolution Soccer 2019 [Wine]

- You need to install dotnet40 using winetricks to run Settings.exe.

## Quake [Native]

- At first start the game will have a very low resolution of 640x480 and the font will be illegible. Open the options with Esc and navigate to the fourth menu item and enter with Enter. There are resolution options, and the bottom option is Apply.

- Make sure to toggle fullscreen.

## Rise of Nations [Wine]

- run winetricks direct music

- on `/prefix/drive_c/users/your_user/Application Data/Microsoft Games/Rise of Nations/`<br>
  file rise2.ini needs `SkipIntroMovies=1` set.

## Red Dead Redemption 2 [EMPRESS v2] [Wine/Proton]
- The game works with both `wine-tkg` and `proton-tkg` with some modifications.

- Copy `vulkan-1.dll` from [Vulkan RT](https://sdk.lunarg.com/sdk/download/latest/windows/vulkan-runtime-components.zip) to game folder, add it to overrides on winecfg.

- This makes the game work with wine-tkg with the wake-up script and the freeze fix. If you want to run it on proton-tkg, here is what you must also do:

1. Go to prefix/user.reg and replace line:
```
"RelayExclude"="ntdll.RtlEnterCriticalSection;ntdll.RtlTryEnterCriticalSection;ntdll.RtlLeaveCriticalSection;kernel32.48;kernel32.49;kernel32.94;kernel32.95;kernel32.96;kernel32.97;kernel32.98;kernel32.TlsGetValue;kernel32.TlsSetValue;kernel32.FlsGetValue;kernel32.FlsSetValue;kernel32.SetLastError;ntdll.NtDelayExecution;KERNEL32.Sleep;ntdll.NtWaitForMultipleObjects;ntdll.RtlRunOnceExecuteOnce;kernelbase.InitOnceExecuteOnce;KERNEL32.WaitForSingleObject;ntdll.NtSetEvent;KERNEL32.SetEvent;KERNEL32.QueryPerformanceCounter;KERNEL32.QueryPerformanceFrequency;winmm.timeGetTime;KERNEL32.GetLastError;ntdll.RtlAllocateHeap;KERNEL32.HeapFree;ntdll.NtReleaseSemaphore;KERNEL32.ReleaseSemaphore;ntdll.RtlNtStatusToDosError;KERNEL32.MulDiv"
```
2. On lutris runner options select wine debugging to inherit from environment.
3. Go to lutris system settings and add env WINEDEBUG=-all,relay

Wake-up:
- Start the game with `rdr2.exe` then run this in terminal multiple times until it's starting:
```sh
PID=$(pgrep RDR2.exe); kill -s SIGSTOP $PID; kill -s SIGCONT $PID
```
- Freeze fix:
Some users, including myself, experienced frequent freezing on the game. To fix it, you must lower the CPU usage limit. 

To use this, install `cpulimit`. Now go to Lutris game settings and add argument:
```sh
cpulimit --limit=400 %command%
```
The value 400 means the percent of how much the CPU can be used. Meaning 100% limit 4 times.
So this should  be adaptable to how many threads you have, 800 for 8 threads.
It doesn't matter if the limit is at 100%. just the usage of cpulimit seems to fix the freezes.

Other mentions:
- Add env: `PULSE_LATENCY_MSEC="60"` to fix crackling sound.
- For nvidia users: add to commandline.txt `-adapter 1` to use Nvidia Optimus
- You should trigger prefix update if the game doesn't start.
- Set `Windows 10` mode on winecfg.
- Disable DXVK or change `dxgi` to builtin,native on winecfg.
- Delete `SGA` files in prefix/user/.... to fix ERR_GFX

## Rayman Legends [Wine]

- You need to install Uplay, or the game will not launch.

## Resident Evil 2 remake [Wine]

- This game needs mf-install + mfplat.dll that can be downloaded from this repoistory >> https://github.com/z0z0z/mf-installcab

- You need to use the leaked denuvoless executable of the game + ALI213 Steam emulator

## Resident Evil 3 [DENUVO-LESS] [Wine]

- This game needs `mf-install + mfplat.dll` from [link](https://github.com/z0z0z/mf-installcab)
- CODEX Steam emulator does not work, but you can replace it with goldberg_emulator >>> https://mr_goldberg.gitlab.io/goldberg_emulator/
- You need to change these settings inside `re3_config.ini`:
```
TargetPlatform=DirectX11
PCDXver=DirectX11
```
## Resident Evil 7 (CPY) [Wine]

- This game needs MS Media Foundation that can be installed by this script >> https://github.com/z0z0z/mf-installcab

## Rocket League (DX9) [Wine]

- Turn off DXVK by using: <br> 
```
WINEDLLOVERRIDES="d3d9,dxgi=b" <br> 
```
and use `Goldberg` emulator instead of `CODEX`.

## Serious Sam 4 [Wine]

- Works with `Proton 4.14 GE 2`, probably won't be necessary in the near future. - 26.07.2020

## Shadow of the Tomb Raider [Native]

- You need to use `Goldberg` crack for this game, because `Razor1911` crack has issues.

## SkullGirls [Goldberg] [Steamstub] [Native]

- Game executable needs Steamstub to be removed with this [script](http://it7otdanqu7ktntxzm427cba6i53w6wlanlh23v5i3siqmos47pzhvyd.onion/johncena141/Linux_Game_Pirates/src/branch/master/Tools/pyUnstub)
- Steam client loader from Goldberg Steam Emu is also needed in order to activate DLCs (don't forget steam_settings/DLC.txt)

## SpeedRunners [Wine]

- You need to install `dotnet48` using winetricks, or the game will not work.

## State of Decay 2 [Wine]

- Install `d3dcompiler_47` with winetricks.

## Streets of Rage 4 [Wine]

- `CODEX` Steam emulator doesn't work, you need to use Goldberg Emulator, but keep the cracked exe from CODEX.

## Teenage Mutant Ninja Turtles: Out of the Shadows [Wine]

- Install dotnet48 using winetricks.

## The Dark Pictures Anthology: Man of Medan [Wine]

- Hooldum Steam emulator works fine on wine/wine-tkg, but the online-fix only works on Proton.
- You need to use `PULSE_LATENCY_MSEC=60` to fix the audio.

## The Elder Scrolls V: Skyrim Special Edition [Wine]

- You need to use this command to fix the audio:
```sh
PULSE_LATENCY_MSEC=90
WINEDLLOVERRIDES="xaudio2_7=n,b"
```
## The Surge 2 [WINE]

- If you have an AMD GPU, use `amdgpu-pro-19.50-967956`.

## The Forest [Wine]

- On winecfg, set windows version to 10.

## Trine 2 - Complete Story [Wine]

- If you use `DXVK`, you need to install `d3dx9` using `winetricks`, or the text will not be rendered correctly. 

## Total War: Rome 2 [Wine]

- On winecfg, `d3dx11_42` library needs to set as native.

## Ultra Street Fighter IV [Wine]

- This game needs [MS Media Foundation](https://github.com/z0z0z/mf-install)

## Unravel [Wine] [SteamPunks]

- You need to run it from `stp-unravel.exe`, but don't run it from the terminal, or it will not run properly.

## Watch Dogs [WINE]

- Needs `ALI213` crack and PulseAudio latency reduced to 20-30.

## Worms W.M.D [Native]

- `libstdc++` needs to be deleted if existing, it causes crash at startup.
	
- Using `steam-runtime` on this game seems to actually break it, explaining the crash reports by owners of the game on Steam.

- Some systems require this setting for the game to launch.<br>
```
DBUS_FATAL_WARNINGS=0
```
- Replacing the `ACTiVATED` version of steam_api.so with `Goldberg` will enable Multiplayer.


----------------------------------------------------------------------------------------------------------
## Contributors:
```
- johncena141, ah_86, toykiller,delicatebobster,larrypawolski
```